Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionHeader.SectionPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionHeader.SectionPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionHeader

    public static final class QStyleOptionHeader.SectionPosition

extends java.lang.Enum
implements QtEnumerator

This enum lets you know where the section's position is in relation to the other sections.

See also:
  position.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionHeader.SectionPosition` | `Beginning` At the beginining of the header
`static QStyleOptionHeader.SectionPosition` | `End` At the end of the header
`static QStyleOptionHeader.SectionPosition` | `Middle` In the middle of the header
`static QStyleOptionHeader.SectionPosition` | `OnlyOneSection` Only one header section

Method Summary
`static QStyleOptionHeader.SectionPosition` | `resolve(int value)` Returns the QStyleOptionHeader$SectionPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionHeader.SectionPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionHeader.SectionPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Beginning

    public static final QStyleOptionHeader.SectionPosition Beginning

  At the beginining of the header

### Middle

    public static final QStyleOptionHeader.SectionPosition Middle

  In the middle of the header

### End

    public static final QStyleOptionHeader.SectionPosition End

  At the end of the header

### OnlyOneSection

    public static final QStyleOptionHeader.SectionPosition OnlyOneSection

  Only one header section

Method Detail

### values

    public static QStyleOptionHeader.SectionPosition[] values()

### valueOf

    public static QStyleOptionHeader.SectionPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionHeader.SectionPosition resolve(int value)

  Returns the QStyleOptionHeader$SectionPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD